﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 0.01 - December 19, 2011
// Supported Devices: IT-800WM
//
// Remarks: You need latest versions of patches and runtime
// libraries be installed onto your mobile device.
//////////////////////////////////////////////////////////////////////

using System;
using System.ComponentModel;
using System.Windows.Forms;

namespace RemoteWipe
{
    public partial class PasswordForm : Form
    {
        private string adminPassword = "";

        public PasswordForm()
        {
            InitializeComponent();

            this.lblPassword.Text = Resources.PasswordText;
            this.menuCancel.Text = Resources.MenuCancelText;
        }

        private void menuOk_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }

        private void menuCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }

        private void PasswordForm_Closing(object sender, CancelEventArgs e)
        {
            this.adminPassword = this.tbxAdminPassword.Text;
        }

        internal string AdminPassword
        {
            get
            {
                return this.adminPassword;
            }
        }
    }
}